# Daily programing client dart

[![pub package](https://img.shields.io/pub/v/daily_programmer_client_dart.svg)](https://pub.dartlang.org/packages/daily_programmer_client_dart)
[![Build Status](https://travis-ci.org/gouvinb/daily-programmer-client-dart.svg?branch=master)](https://travis-ci.org/gouvinb/daily-programmer-client-dart)
[![Coverage Status](https://coveralls.io/repos/github/gouvinb/daily-programmer-client-dart/badge.svg?branch=master)](https://coveralls.io/github/gouvinb/daily-programmer-client-dart?branch=master)

`daily_programmer_dart_cli` will generate a project skeleton into the current
directory.

## Installation

### Requirements

Nothing.

### To install

```bash
pub global activate daily_programmer_client_dart
```

### To update, run activate again

```bash
pub global activate daily_programmer_client_dart
```

## Usage

As an example, here is how you create a package with `daily_programmer_dart_cli`
:

```yml
Usage: daily_programmer_dart_cli <command> [arguments]

Global options:
-h, --help            Print this usage information.
-v, --[no-]verbose    Output extra logging information.

Available commands:
  challenge   Generate a new challenge.
  help        Display help information for daily_programmer.
  project     Generate a new project challenge.
  run         Run one or more challenges.

Run "daily_programmer_dart_cli help <command>" for more information about a command.
```

### Example

```bash
mkdir my_challenges
cd my_challenges
daily_programmer_dart_cli
```

## Challenges ? (Wait, what ?)

*   [What ?](https://www.reddit.com/r/dailyprogrammer/wiki/index)
*   [Where ?](https://www.reddit.com/r/dailyprogrammer/)
*   With ? [this](https://www.dartlang.org/) and
    [this](https://code.visualstudio.com/)
*   Why ?
    *   Learn dart
    *   Practice software design
    *   Practice programming
    *   Practice problem solving
    *   Keep your programming skills current
    *   Gain insights from peers
    *   Motivation to practice by solving problems
    *   To have fun
    *   ...

## Struct

```bash
.
├── .gitignore
├── bin
│   └── main.dart
├── lib                            # Contains all challenges
│   └── challenge-xxx.dart         # Source of challenge
├── pubspec.yaml
└── test
    ├── all.dart                   # Dart file for call all test
    └── challenges                 # Contains test
        └── challenge-xxx.dart     # Source of challenge test
```

## My rules

*   No lint warning
*   Coverage of src > 95%
*   Latest version used
*   Only dart
