import 'dart:async';
import 'dart:io';

import 'package:daily_programmer_client_dart/src/app/command_runner.dart';

import 'package:args/command_runner.dart';

Future main(List<String> arguments) async {
  final runner = new DailyProgramingCommanderRunner();

  try {
    await runner.run(arguments);
  } on UsageException catch (error) {
    print(error);
    print(runner.usage);
    // Exit code 64 indicates a usage error.
    await Future.wait([stdout.close(), stderr.close()]).then((_) => exit(64));
  }
}
